
@media (max-width: 1000px) {
  /* Hide main links */
  .main-nav-links {
    display: none !important;
  } 
  .hide-searchbar-phone{
    display: none;
  }
  /* Show hamburger menu */
  #hamburgerWrapper {
    display: block !important;
  }
  .navbar{
    justify-content: space-between !important;
  }

} 

@media (max-width:651px){
  .custom-right-arrow {
  right: 0px; /* adjust as needed */
}
}
@media (max-width:1051px) {
  .ann-slider-wrapper {
  overflow: hidden;
  max-width: 80%;
  margin: 0px 40px;
  margin-left: 80px;
}
}
@media (min-width: 768px) {
    .container, .container-md, .container-sm {
        max-width: auto !important;
    }
}
@media (max-width: 767px) {
    .airport-guide-background-image {
        position: relative;
        width: 100%;
        height: 504px; /* This makes the section fill the screen height */
        background-image: url('./Assets/images/Section 5 background.png');
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        overflow: hidden;
        color: white;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center; /* Or center depending on layout */
        padding: 50px;
    }
    .section5-content h3 {
        max-width: 362px;
        font-size: clamp(12px, 1.2vw, 17px);
        color: white;
        font-family: 'Neuelight';
        text-align: center;
    }   
    .section5-content h2 {
        font-size: clamp(28px, 4vw, 40px);
        color: white;
        text-align: center;
    }
    .ann-left-arrow {
    left: 10px;
}
    .ann-slider-wrapper {
        overflow: hidden;
        width: 75%;
        margin: 0px 40px;
        margin-left: 80px;
    }
    .footer-logo{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .footer-h6{
        text-align: center;
    }
    .footer-links-responsive{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
 .list-unstyled li {
    margin-bottom: 10px;
    text-align: center;
}
 .list-unstyled button {
    margin-bottom: 10px;
    font-size: clamp(14px, 1.2vw, 16px);
    text-align: center;
}
.footer-mentions span{
    text-align: center;
}
 .footer-logo img {
      max-width: 250px;
      height: auto;
    }
    .chatbot-box {
        position: fixed;
        bottom: 55px;
        right: 80px;
        width: 250px;
        height: 300px;
        background: white;
        border-radius: 10px;
        box-shadow: 0 8px 16px rgba(0,0,0,0.2);
        display: none;
        flex-direction: column;
        z-index: 1000;
    }
    .media-custom-service-slide-card a{
        width: 100%;
        height: 100%;
    }
    .media-custom-service-slide-card img {
    width: clamp(100%, 20vw, 227px);
    object-fit: cover;
    border-radius: 12px;
}
    .eco-card-content h1 {
        margin: 0;
    }   
.eco-card {
    width: 290px;
    height:clamp(140px, 40vw, 240px);
    
    max-width: clamp(200px, 20vw, 290px);
    max-height: 270px;
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.251);
    border-radius: 8px;
    padding: 10px 20px;
}



}
@media (max-width:722px){
  .custom-logo-slider{
    max-width: 320px;
  }
}


@media (max-width:544px){
  .ann-slider-wrapper {
        overflow: hidden;
        width: 75%;
        margin: 0px 40px;
        margin-left: 60px;
    }
}

@media( max-width:1081px){
.custom-right-arrow {
    right: -30px;
}
}

@media (max-width:991px){
    
.parent {
    padding: 60px 0px;
    padding-top: 20px;
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-column-gap: 10px;
    grid-row-gap: 10px;
}
.overlay-text h2{
    font-size: clamp(14px, 1.2vw, 18px);
}
.overlay-text h3{
  font-size: clamp(12px, 1.2vw, 16px);
}
.overlay-text {
    position: absolute;
    bottom: 15px;
    left: 15px;
    color: #fff;
    font-size: 1.2rem;
    font-weight: bold;
    z-index: 2;
}
}

@media (max-width:692px){

.custom-left-arrow {
    left: 0px;
}
.custom-size-on-responsive1{
    max-width: 120px;
}
.custom-size-on-responsive2{
    max-width: 130px;
}
.find-flight-btn {
  position: fixed;
  top: 16%;
  right: 5%;
  transform: translateY(-50%);
  z-index: 1040;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0,0,0,0.1);
  font-weight: 500;
  display: flex;
  padding: 5px 10px;
  align-items: center;
  gap: 8px;
}
.innerpage-sticky {
    position: sticky;
    top: 85px;
    left: 0;
    background-color: #4E738A;
    height: 56px;
    width: 100%;
    display: flex
;
    justify-content: start;
    align-items: center;
    z-index: 12;
}
}
@media (max-width:635px){
    #realTimePanel {
  position: fixed;
  right: 0;
  top: 30%;
  height: 220px;
  width: 380px;
  background: #fff;
  box-shadow: 2px 0 10px rgba(0,0,0,0.2);
  z-index: 11;
  transform: translateX(100%);
  transition: transform 0.3s ease;
  border-radius: 0px 0px 0px 8px;
}
.remove-margin-on-responsive{
    margin-top: 20px !important;
}
.remove-padding-on-responsive{
    padding: 5px 10px !important;
}
}
@media (max-width:590px){
    .custom-right-arrow {
        right: 0px;
    }
    .Facilities-content {
    padding: 0px;
    width: 100%;
    display: flex
;
    flex-direction: column;
    justify-content: center;
    align-items: start;
    text-align: start;
}
}

@media (max-width: 500px) {
    .Scrolldown-Position {
        position: absolute;
        bottom: 60px;
        right: 13px;
        z-index: 2;
        padding: 5px 5px;
        height: 50px;
    }
    .Scrolldown-Position img {
        width: 20px;
    }
    #realTimeToggleBtn img{
        height: 130px;
    }
    .rate-div {
    padding: 10px 5px;
    background-color: #948664;
    border-radius: 10px 0px 0px 10px;
}
    .rate-div img{
        width: 15px;
        height: 15px;
    }
    .rate-div1 {
    padding: 10px 5px;
    }
      .rate-div1 img{
        width: 15px;
        height: 15px;
    }
    .rate-info-box {
    background-color: #948664;
    color: #000;
    padding: 5px 10px;
    border-radius: 10px 0 0 10px;
    margin-right: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    white-space: nowrap;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease;
}
.disabilites-guide .rate-info-box {
    background-color: #ffffff;
    color: #000;
    padding: 5px 10px;
    border-radius: 10px 0 0 10px;
    margin-right: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    white-space: nowrap;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease;
}
.fixed-help-icon1 {
    padding: 0px 10px;
    position: fixed;
    bottom: 10px;
    left: 0;
    z-index: 11;
}
.custom-slide img {
    width: 50px;
    height: 50px;
    object-fit: contain;
    border-radius: 50%;
    background: white;
    padding: 0px;
}
.custom-slide {
    min-width: 50px;
    margin: 0 10px;
    flex-shrink: 0;
}
    .fixed-help-icon2 {
    padding: 0px 10px;
    position: fixed;
    bottom: 10px;
    right: 0;
    z-index: 11;
}
    .fixed-help-icon3 {
    padding: 0px 10px;
    position: fixed;
    bottom: 60px;
    right: 0;
    z-index: 11;
}
    .fixed-help-icon1 img{
        width: 40px;
        height: 40px;
    }
    .fixed-help-icon2 img{
        width: 40px;
        height: 40px;
    }
    .fixed-help-icon3 img{
        width: 40px;
        height: 40px;
    }



    .navbar {
        justify-content: space-between !important;
    }

    .responsive-display-none{
        display: flex;
        justify-content: center;
        align-content: center;
    }
    .accessibility-box {
    position: fixed;
    bottom: 60px;
    left: 10px;
    background: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}
       .chatbot-box {
        position: fixed;
        bottom: 40px;
        right: 50px;
        width: 200px;
        height: 200px;
        background: white;
        border-radius: 10px;
        box-shadow: 0 8px 16px rgba(0,0,0,0.2);
        display: none;
        flex-direction: column;
        z-index: 1000;
    }
    .flex-wrap-on-responsive{
        justify-content: center !important;
        flex-wrap: wrap;
    }
}

@media(max-width:452px){
    .sliders-buttons {
    z-index: 12;
    border-radius: 40px;
    padding: 5px 10px;
}
.buttons label {
    margin: 0px 1px;
    width: 8px;
    height: 8px;
    background: #fff;
    opacity: 0.5;
    border-radius: 20px;
    cursor: pointer;
    transition: 0.5s;
}
.custom-service-slider-wrapper {
    position: relative;
    max-width: 100%;
    background: transparent;
    padding: 10px 0;
}
.custom-service-slider-track {
    display: flex;
    gap: 10px;
    transition: transform 0.3s ease-in-out;
    padding: 15px 5px;
}
.custom-service-arrow-wrapper::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 45px;
    height: 45px;
    background-color: white;
    border-radius: 50%;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.12);
    z-index: -1;
}
    .custom-right-arrow {
        right: -10px;
    }
        .custom-left-arrow {
        left: -10px;
    }
.custom-service-arrow-wrapper img {
    width: 10px;
    height: 18px;
    position: relative;
    top: 40%;
    left: 52%;
    transform: translate(-50%, -40%);
    z-index: 1;
}
.custom-service-slide-card {
    background: white;
    border-radius: 16px;
    width: 200px;
    min-width: 250px;
    padding: 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.custom-service-slide-card-content{
    padding: 18px 15px 12px 15px;
}
.container, .container-fluid, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
    --bs-gutter-x: 1.5rem;
    --bs-gutter-y: 0;
    width: 100%;
    padding-right: calc(var(--bs-gutter-x) * 1.5);
    padding-left: calc(var(--bs-gutter-x) * 1.5);
    margin-right: auto;
    margin-left: auto;
}

.image-wrapper img {
    border-radius: 10px;
    width: 100%;
    height: 100%;
    object-fit: fill;
}
.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, rgba(78, 115, 138, 1) 10%, rgba(78, 115, 138, 0) 60%);
    z-index: 1;
    border-radius: 0px 0px 10px 10px;
}
    .overlay-text h2 {
        font-size: clamp(14px, 1.2vw, 18px);
    }
        .overlay-text {
        position: absolute;
        bottom: 5px;
        left: 10px;
        color: #fff;
        font-size: 1.2rem;
        font-weight: bold;
        z-index: 2;
    }
    .ListView-item {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
  border: 1px solid #ddd;
  border-radius: 10px;
  overflow: hidden;
  background-color: #ffffff;
  padding: 1rem;
}
}

@media (max-width: 400px){
        .overlay-text h3 {
        font-size: clamp(12px, 1.2vw, 16px);
    }
    .flight-popup {
        position: fixed;
        bottom: 50%;
        left: 50%;
        transform: translate(-50%,50%);
        max-width: 300px;
        height: 425px;
        background-color: #fff;
        padding: 1.5rem;
        border-radius: 18px;
        box-shadow: 0 -4px 15px rgba(0, 0, 0, 0.1);
        z-index: 1050;
        display: none;
        animation: slideUp 0.3s ease;
        box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.259);
    }
        #realTimePanel {
  position: fixed;
  right: 0;
  top: 30%;
  height: 220px;
  width: 290px;
  background: #fff;
  box-shadow: 2px 0 10px rgba(0,0,0,0.2);
  z-index: 11;
  transform: translateX(100%);
  transition: transform 0.3s ease;
  border-radius: 0px 0px 0px 8px;
}
.remove-margin-on-responsive{
    margin-top: 20px !important;
}
.remove-padding-on-responsive{
    padding: 5px 10px !important;
}
.airport-status h2 {
    color: white;
    font-family: 'NeueRoman';
    font-size: clamp(12px, 1.1vw, 14px);
    margin: 0;
}
  .custom-logo-slider{
    max-width: 170px;
  }
}
@media (max-width:365px){
    
       .ann-slider-wrapper {
        overflow: hidden;
        width: 100%;
        margin: 0px 40px;
        margin-left: 35px;
    }
    .ann-arrow-circle {
    width: 35px;
    height: 35px;
    background: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}
    .ann-slider-container {
    position: relative;
    width: 95%;
    max-width: 935px;
    margin: auto;
    overflow: hidden;
    z-index: 2;
}
.innerpage-sticky-ul li {
    padding: 5px 5px;
}
.innerpage-sticky-ul {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
    margin: 0;
    margin-left: clamp(0px, 5vw, 70px);
    padding: 10px;
}
}



@media (max-width: 992px) {
  .parent {
    grid-template-columns: repeat(2, 1fr); /* 2 equal columns */
    grid-template-rows: auto;
    grid-auto-rows: 200px; /* Equal height rows */
    gap: 20px;
  }

  /* Reset grid-areas to normal flow */
  .div1, .div2, .div3, .div4, .div5, .div6 {
    grid-area: unset;
  }
}

@media (max-width: 576px) {
  .parent {
    grid-template-columns: 1fr; /* 1 column on small phones */
    grid-auto-rows: 139px;
  }
  .image-wrapper img {
  width: 100%;
  height: 100%;
  object-fit:cover;
}
}





@media (max-width:700px) {
  .AutoPay-Machine-conatiner .row {
    flex-direction: column;
    justify-content: center;
    align-content: center;
    gap: 20px;
  }
  .AutoPay-section1{
    width: 100%;
    padding:0px 10px 20px 10px;
  }
  .AutoPay-section2{
    width: 100%;
    padding:20px 10px 0px 10px;
    border: 0px;
    border-top: 1px solid #1d3b50;
    
  }
}

    @media (max-width: 768px) {
      .DepAndArriPage-header {
        flex-direction: column;
        align-items: flex-start;
      }

      .DepAndArriPage-filters {
        width: 100%;
      }

      .DepAndArriPage-filters select,
      .DepAndArriPage-filters input {
        width: 100%;
      }

      .DepAndArriPage-tabs {
        width: 100%;
        justify-content: space-around;
      }
    }